- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IDataSource IItemDataRenderer IRepeatInfoUser TActiveFileUpload TBaseDataList TBaseValidator TBoundColumn TBulletedList TBulletedListDisplayMode TBulletedListEventParameter TBulletStyle TButton TButtonColumn TButtonColumnType TButtonType TCaptcha TCaptchaValidator TCheckBox TCheckBoxColumn TCheckBoxList TCircleHotSpot TClientScript TClientScriptLoader TClientSideValidationSummaryOptions TColorPicker TColorPickerClientSide TColorPickerMode TCompareValidator TCompleteWizardStep TConditional TContent TContentDirection TContentPlaceHolder TCustomValidator TDataBoundControl TDataGrid TDataGridColumn TDataGridColumnCollection TDataGridCommandEventParameter TDataGridItem TDataGridItemCollection TDataGridItemEventParameter TDataGridItemRenderer TDataGridPageChangedEventParameter TDataGridPager TDataGridPagerButtonType TDataGridPagerEventParameter TDataGridPagerMode TDataGridPagerPosition TDataGridPagerStyle TDataGridSortCommandEventParameter TDataList TDataListCommandEventParameter TDataListItem TDataListItemCollection TDataListItemEventParameter TDataListItemRenderer TDataRenderer TDataSourceControl TDataSourceSelectParameters TDataSourceView TDataTypeValidator TDatePicker TDatePickerClientScript TDatePickerInputMode TDatePickerMode TDatePickerPositionMode TDisplayStyle TDraggable TDropContainer TDropDownList TDropDownListColumn TEditCommandColumn TEmailAddressValidator TExpression TFileUpload TFont THiddenField THorizontalAlign THotSpot THotSpotCollection THotSpotMode THtmlArea THtmlElement THyperLink THyperLinkColumn TImage TImageButton TImageClickEventParameter TImageMap TImageMapEventParameter TInlineFrame TInlineFrameAlign TInlineFrameScrollBars TItemDataRenderer TJavascriptLogger TKeyboard TLabel TLinkButton TListBox TListControl TListControlValidator TListItem TListItemCollection TListItemType TListSelectionMode TLiteral TLiteralColumn TMarkdown TMetaTag TMetaTagCollection TMultiView TOutputCache TOutputCacheCalculateKeyEventParameter TOutputCacheCheckDependencyEventParameter TPager TPagerButtonType TPagerMode TPagerPageChangedEventParameter TPanel TPanelStyle TPlaceHolder TPolygonHotSpot TRadioButton TRadioButtonList TRangeValidationDataType TRangeValidator TRatingList TReadOnlyDataSource TReadOnlyDataSourceView TRectangleHotSpot TRegularExpressionValidator TRepeatDirection TRepeater TRepeaterCommandEventParameter TRepeaterItem TRepeaterItemCollection TRepeaterItemEventParameter TRepeaterItemRenderer TRepeatInfo TRepeatLayout TRequiredFieldValidator TSafeHtml TScrollBars TServerValidateEventParameter TSlider TSliderClientScript TSliderDirection TStatements TStyle TStyleSheet TTable TTableCaptionAlign TTableCell TTableCellCollection TTableFooterRow TTableGridLines TTableHeaderCell TTableHeaderRow TTableHeaderScope TTableItemStyle TTableRow TTableRowCollection TTableRowSection TTableStyle TTabPanel TTabView TTabViewCollection TTemplateColumn TTemplatedWizardStep TTextAlign TTextBox TTextBoxAutoCompleteType TTextBoxMode TTextHighlighter TTextHighlighterLineNumberStyle TValidationCompareOperator TValidationDataType TValidationSummary TValidationSummaryDisplayMode TValidationSummaryDisplayStyle TValidatorClientSide TValidatorDisplayStyle TVerticalAlign TView TViewCollection TWebControl TWebControlAdapter TWizard TWizardFinishNavigationTemplate TWizardNavigationButtonStyle TWizardNavigationButtonType TWizardNavigationContainer TWizardNavigationEventParameter TWizardNavigationTemplate TWizardSideBarListItemTemplate TWizardSideBarTemplate TWizardStartNavigationTemplate TWizardStep TWizardStepCollection TWizardStepNavigationTemplate TWizardStepType TXmlTransform |
Keyword
# Class TWizardNavigationButtonStyle
    TComponent
       |
       --TStyle
          |
          --TWizardNavigationButtonStyle
TWizardNavigationButtonStyle class. TWizardNavigationButtonStyle defines the style applied to a wizard navigation button. The button type can be specified via ButtonType, which can be 'Button', 'Image' or 'Link'. If the button is an image button, ImageUrl will be used to load the image for the button. Otherwise, ButtonText will be displayed as the button caption. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
void | apply ( mixed $button) Applies this style to the specified button
void | copyFrom ( TStyle $style) Copies the fields in a new style to this style.
string | getButtonText ()
TWizardNavigationButtonType | getButtonType ()
string | getImageUrl ()
void | mergeWith ( TStyle $style) Merges the style with a new one.
void | reset () Sets the style attributes to default values.
void | setButtonText ( string $value)
void | setButtonType ( TWizardNavigationButtonType $value)
void | setImageUrl ( string $value)
Methods Inherited From TStyle
TStyle::addAttributesToRender(), TStyle::clearStyleField(), TStyle::copyFrom(), TStyle::getBackColor(), TStyle::getBorderColor(), TStyle::getBorderStyle(), TStyle::getBorderWidth(), TStyle::getCssClass(), TStyle::getCustomStyle(), TStyle::getDisplayStyle(), TStyle::getFont(), TStyle::getForeColor(), TStyle::getHeight(), TStyle::getStyleField(), TStyle::getStyleFields(), TStyle::getWidth(), TStyle::hasCssClass(), TStyle::hasFont(), TStyle::hasStyleField(), TStyle::mergeWith(), TStyle::reset(), TStyle::setBackColor(), TStyle::setBorderColor(), TStyle::setBorderStyle(), TStyle::setBorderWidth(), TStyle::setCssClass(), TStyle::setCustomStyle(), TStyle::setDisplayStyle(), TStyle::setForeColor(), TStyle::setHeight(), TStyle::setStyleField(), TStyle::setWidth(), TStyle::__clone()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Method Details
## apply
public void apply | (mixed $button )
Applies this style to the specified button
Input
mixed | $button | button to be applied with this style
Output
Exception
## copyFrom
public void copyFrom | (TStyle $style )
Copies the fields in a new style to this style. If a style field is set in the new style, the corresponding field in this style will be overwritten.
Input
TStyle | $style | the new style
Output
Exception
## getButtonText
public string getButtonText | ()
Output
string | button caption
Exception
## getButtonType
public TWizardNavigationButtonType getButtonType | ()
Output
TWizardNavigationButtonType | button type. Default to TWizardNavigationButtonType::Button.
Exception
## getImageUrl
public string getImageUrl | ()
Output
string | image URL for the image button
Exception
## mergeWith
public void mergeWith | (TStyle $style )
Merges the style with a new one. If a style field is not set in this style, it will be overwritten by the new one.
Input
TStyle | $style | the new style
Output
Exception
## reset
public void reset | ()
Sets the style attributes to default values. This method overrides the parent implementation by resetting additional TWizardNavigationButtonStyle specific attributes.
Output
Exception
## setButtonText
public void setButtonText | (string $value )
Input
string | $value | button caption
Output
Exception
## setButtonType
public void setButtonType | (TWizardNavigationButtonType $value )
Input
TWizardNavigationButtonType | $value | button type.
Output
Exception
## setImageUrl
public void setImageUrl | (string $value )
Input
string | $value | image URL for the image button
Output
Exception